Bug 1300676 - Virtual machine power off/on does not work for compute resource provider "rackspace".
Virtual machine power off/on does not work for compute resource provider "rac...
Status: ON_QA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Compute Resources - Rackspace (Show other bugs)
6.1.2
All All
medium Severity medium (vote)
: GA
: --
Assigned To: Amir
http://projects.theforeman.org/issues...
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-21 07:20 EST by Ranjan Kumar
Modified: 2017-08-15 15:53 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 17898 None None None 2017-01-03 05:04 EST

  None (edit)
Description Ranjan Kumar 2016-01-21 07:20:00 EST
Description of problem: Power on/off for any rackspace virtual machine shows error notificatoin 
Error - undefined method `stop' for #<Fog::Compute::RackspaceV2::Server:0x00000>


Version-Release number of selected component (if applicable): 6.1.2


How reproducible:


Steps to Reproduce:
1. Go to infrastructure and click on compute resource. 
2. Create compute resource using provider rackspace.
3. Try to stop/start any virtual machine.

Actual results:
undefined method `stop' for #<Fog::Compute::RackspaceV2::Server:0x00000>

Expected results:
Should stop or start vm

Additional info:
Comment 1 Bryan Kearney 2016-07-26 15:06:27 EDT
Moving 6.2 bugs out to sat-backlog.
Comment 3 Shlomi Zadok 2017-01-03 04:30:05 EST
Created redmine issue http://projects.theforeman.org/issues/17898 from this bug
Comment 4 pm-sat@redhat.com 2017-01-05 11:02:52 EST
Upstream bug assigned to afeferku@redhat.com
Comment 5 pm-sat@redhat.com 2017-01-17 08:09:24 EST
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/17898 has been resolved.

Note You need to log in before you can comment on or make changes to this bug.